/****************************************************************************
*
* (C) 2003 by BECK IPC GmbH
*
*  BECK IPC GmbH
*  Garbenheimerstr. 36-38
*  D-35578 Wetzlar
*
*  Phone : (49)-6441-905-0
*  Fax   : (49)-6441-905-245
*
* ---------------------------------------------------------------------------
* Module         : SPIAPI.H
* Function       : prototypes, constants for SPI API functions
* ---------------------------------------------------------------------------

$Header: SPIAPI.H, 7, 13.04.2004 11:34:10, Andre Pribil$

*****************************************************************************/

#ifndef SPIAPI_H
#define SPIAPI_H

/***************************************************************************/
// Prototyps
/***************************************************************************/
#ifdef __cplusplus
extern "C" {
#endif

void _cdecl spi_init       (unsigned mode, char clock, char dataIn, char dataOut);
void _cdecl spi_write      (const void far *bufferPtr, unsigned short nbytes);
void _cdecl spi_read       (void far *bufferPtr, unsigned short nbytes);
void _cdecl spi_read_write (void far *rbufferPtr, const void far *wbufferPtr, unsigned short nbytes);


#ifdef __cplusplus
}
#endif

#endif  // SPIAPI_H

