/******************************************************************************
*
* (c) 2004 by BECK IPC GmbH
*
* BECK IPC GmbH
* Garbenheimerstr. 36-38
* D-35578 Wetzlar
*
* Phone: (49)-6441-905-0
* Fax:   (49)-6441-905-245
*
*******************************************************************************
*
* Module:   dns.c
* Function: This module provides functions to resolve an IP address from a DNS
*           server.
*
*******************************************************************************
*
* $Header: dns.h, 2, 17.02.2004 14:23:07, Jan Schatz$
*
******************************************************************************/



#ifndef DNS_H
#define DNS_H



/******************************************************************************
* Prototypes
******************************************************************************/
int gethostbyname(  const char *dnsServerIP, // where to ask for the dns resolution
          const char *domainName,  // The domain name "www.beck-ipc.com"
          unsigned long *ttl,      // Time to live in seconds
          unsigned long *IP,       // The 32 bit IP
          char *dest);             // The IP as text (make sure it is long enough)



#endif
