/****************************************************************************
*
* (C) 2003 by BECK IPC GmbH
*
*  BECK IPC GmbH
*  Garbenheimerstr. 36-38
*  D-35578 Wetzlar
*
*  Phone : (49)-6441-905-0
*  Fax   : (49)-6441-905-245
*
* ---------------------------------------------------------------------------
* Module         : SPI_PRIV.H
* Function       : Private definitions for SPI API functions
* ---------------------------------------------------------------------------

$Header: SPI_PRIV.H, 4, 17.02.2004 14:57:35, Andre Pribil$

*****************************************************************************/


#ifndef SPI_PRIV_H
#define SPI_PRIV_H


/***************************************************************************/
// Hardware API Function Numbers
/***************************************************************************/
// PFE Services
#define SPI_INIT             0x90

// HAL Services
#define SPI_WRITE            0x95
#define SPI_READ             0x96
#define SPI_READ_WRITE       0x97

/***************************************************************************/
// Interrupt Vectors
/***************************************************************************/
#define SPI_INT  0xAA


#endif  // SPI_PRIV_H

